### Hierarchy

- unknown
  - UpiAccountPayload

## Index

### Constructors

- constructor

### Methods

- getVirtualPaymentAddress
- serializeBinary
- setVirtualPaymentAddress
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UpiAccountPayload(): UpiAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns UpiAccountPayload

## Methods

### getVirtualPaymentAddress

- getVirtualPaymentAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:5431

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5434

  #### Returns Uint8Array

### setVirtualPaymentAddress

- setVirtualPaymentAddress(value: string): UpiAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5432

  #### Parameters

  - ##### value: string

  #### Returns UpiAccountPayload

### toObject

- toObject(includeInstance?: boolean): UpiAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5435

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UpiAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UpiAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5438

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UpiAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UpiAccountPayload, reader: BinaryReader): UpiAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5439

  #### Parameters

  - ##### message: UpiAccountPayload

  - ##### reader: BinaryReader

  #### Returns UpiAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UpiAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5437

  #### Parameters

  - ##### message: UpiAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UpiAccountPayload ): UpiAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5436

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UpiAccountPayload

  #### Returns UpiAccountPayload . AsObject

Generated using TypeDoc